<mat-accordion>
  <mat-expansion-panel *ngFor="let categoryItem of categoryItems">
    <mat-expansion-panel-header>
      <mat-panel-title>
        {{categoryItem.itemname}}
      </mat-panel-title>
<!--      <mat-panel-description>-->
<!--        العلامة المستحقة: {{categoryItem.graderaw}}-->
<!--      </mat-panel-description>-->
    </mat-expansion-panel-header>
    <table mat-table [dataSource]="getActivityItems(categoryItem)" dir="rtl">
      <ng-container matColumnDef="itemname">
        <th mat-header-cell *matHeaderCellDef> النشاط</th>
        <td mat-cell *matCellDef="let gradeItem"> {{gradeItem.itemname}} </td>
        <td mat-footer-cell *matFooterCellDef> المجموع</td>
      </ng-container>

      <ng-container matColumnDef="graderaw">
        <th mat-header-cell *matHeaderCellDef> العلامة</th>
        <td mat-cell *matCellDef="let gradeItem"> {{gradeItem.graderaw}} </td>
        <td mat-footer-cell *matFooterCellDef> {{categoryItem.graderaw}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
    </table>
  </mat-expansion-panel>
</mat-accordion>
